SERIAL_MCU = "/dev/serial/by-id/usb-Raspberry_Pi_Pico_E6609CB2D3846033-if00"
SERIAL_LCD = "/dev/serial/by-id/usb-Silicon_Labs_CP2102_USB_to_UART_Bridge_Controller_0001-if00-port0"

# Sonar Pin
SONAR_ADC_PIN = 1


# Motor Pins
MOTOR_FL_F = 7
MOTOR_FL_R = 6
MOTOR_FR_F = 8
MOTOR_FR_R = 9
MOTOR_RL_F = 10
MOTOR_RL_R = 11
MOTOR_RR_F = 13
MOTOR_RR_R = 12

# Full Speed 90 Degrees Turn Time
TURN_TIME_FS_90DEG_MS = 3000.0

COLLISION_DETECTOR_PIN = 16
COLLISION_ENABLE = True

LEDS_DATA_PIN = 17
LEDS_NUM = 16
HEADLIGHT_LEDS = [1, 2, 3, 4]
LEFT_SIGNAL_LEDS = [4, 5, 6, 7]
RIGHT_SIGNAL_LEDS = [0, 1, 14, 15]
REVERSE_LEDS = [11, 10, 9]

LIGHT_SENSOR_PIN = 0

DHT22_PIN = 3
